# Poco::Net::WebSocketImpl

# struct ReceiveState

Library: Net
Package: WebSocket
Header: Poco/Net/WebSocketImpl.h

## Variables

### 0 }

Poco::Buffer < char > payload { 0 };

### headerLength

int headerLength = 0;

### mask

char mask[MASK_LENGTH];

### maskOffset

int maskOffset = 0;

### payloadLength

int payloadLength = 0;

### remainingPayloadLength

int remainingPayloadLength = 0;

### useMask

bool useMask = false;